Bug 895444

Summary: Not enough disk space for midnight commander in /tmp
Product: [Fedora] Fedora Reporter: vvs <vvs009>
Component: mcAssignee: Radek Vokal <rvokal>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 25CC: dvlasenk, kvolny, pahan, rjones, rvokal, slavazanko
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: mc-4.8.18-3.fc26 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-12-09 06:16:15 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 826015    

Description vvs 2013-01-15 03:58:09 EST
Description of problem:

Midnight Commander requires space in /tmp directory for certain operations, e.g. copying files over network. As /tmp is now tmpfs there is much less space available.

Version-Release number of selected component (if applicable):

mc-4.8.6-2.fc18.i686

How reproducible:

When /tmp is on tmpfs

Steps to Reproduce:
1. Copy Fedora DVD install image over ssh link
  
Actual results:

Usually not enough disk space unless your have plenty of RAM and 64-bit OS.

Expected results:

It was possible to copy it in previous versions of Fedora, so it is a regression.

Additional info:
Comment 1 Richard W.M. Jones 2013-01-15 14:00:06 EST
tmp-on-tmpfs is fundamentally broken, so this doesn't
exactly surprise.
Comment 2 vvs 2013-01-16 05:52:50 EST
Well, why argue now when it was already approved and included in F18? As I understand the "official" way is to use /var/tmp.
Comment 4 Karel Volný 2013-08-01 06:30:01 EDT
(In reply to Victor V. Shkamerda from comment #2)
> Well, why argue now when it was already approved and included in F18?

because each decision can be reconsidered and reverted

I've just hit this issue too, thanks Lennart for taking away about an hour of my life spent by trying to figure out what's wrong with my system, why trivial operations are failing ...
Comment 5 Fedora End Of Life 2013-12-21 05:23:19 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Jan Kurik 2015-07-15 10:53:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 8 Karel Volný 2015-11-11 08:41:10 EST
ping, just hit this again, "very nice" to see things failing (like bash completion etc.) just because I've tried to view a file while not noticing that its size exceeds half of my RAM ...
Comment 9 Fedora End Of Life 2016-11-24 05:54:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Karel Volný 2016-12-09 05:48:15 EST
ping, I've just got trapped again ... copying a few gigabytes over slow network, left that overnight, just to find out in the morning that it got stuck right in the begining because of mc's unability to store a file in /tmp

rvokal, please please PLEASE! do something about it - could you assign this to someone new if jnovy is gone? (yeah, this is Fedora, not RHEL, but anyways ... I still have some reward points to spend ... ;-))

I believe the following would be enough to do the trick:

--- lib/global.h~       2016-09-22 20:24:12.000000000 +0200
+++ lib/global.h        2016-12-09 11:34:47.376367101 +0100
@@ -125,7 +125,7 @@
 #define PATH_SEP_STR "/"
 #define IS_PATH_SEP(c) ((c) == PATH_SEP)
 #define PATH_ENV_SEP ':'
-#define TMPDIR_DEFAULT "/tmp"
+#define TMPDIR_DEFAULT "/var/tmp"
 #define SCRIPT_SUFFIX ""
 #define get_default_editor() "vi"
 #define OS_SORT_CASE_SENSITIVE_DEFAULT 1
Comment 11 Richard W.M. Jones 2016-12-09 06:16:15 EST
I pushed the patch from comment 10 to Rawhide in
mc-4.8.18-3.fc26
Comment 12 Richard W.M. Jones 2016-12-09 06:16:36 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=16805614
Comment 13 Karel Volný 2016-12-12 06:04:08 EST
thanks, verified, copied files are stored in /var/tmp/mc-$USER/ now